rocks(6x)

NAME
rocks - animation of flying through an asteroid field

SYNOPSIS
rocks [--display host:display.screen] [--foreground color] [--background color] [--window] [--root] [--window-id number][--mono] [--ncolors n] [--install] [--visual visual] [--count integer] [--delay usecs] [--speed integer] [--norotate] [--nomove] [-3d] [--fps]

DESCRIPTION
The rocks program draws an animation of an asteroid field moving past the observer (or vice versa). Sometimes the observer picks up spin on Z axis.

OPTIONS
rocks accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--mono
    Make all the rocks the same color.

--ncolors colors
    How many different colors to use. Default 5. Colors are chosen randomly.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--count integer
    Maximum number of rocks to draw on the screen at once. Default 100.

--speed integer
    A measure of the speed with which the observer and the rocks pass each other, from 1 to 100. Default 100, meaning ``very fast.'' If you're on a slow display connection (the animation looks jerky) then try making this number smaller, and/or decreasing the number of rocks.

--delay microseconds
    Number of microseconds to delay between each frame. Default 50000, meaning about 1/20th second. Compare and contrast with --speed, above.

--norotate
    Don't rotate the observer; just fly through the field on the level.

--nomove
    Don't turn the observer; just fly straight ahead through the field.

-3d Do red/blue 3d separations: if you look at the screen with 3d glasses, the rocks will be jumping right out at you. Oooooh, scaaary!

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

BUGS
There should be an option to display doppler shift (a gravity rainbow.)

Speed of rotation should be settable.

Default speed of rotation should be relative to forward velocity.

COPYRIGHT
Copyright © 1992 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Based on Lisp Machine code copyright 1988 John Nguyen <johnn@hx.lcs.mit.edu>.

Ported to C and X by Jamie Zawinski <jwz@jwz.org>, 13-aug-92.

Steering code by Jeremie Petit; 3D code by theiling@coli.uni-sb.de.